Skip to main content
Resource Center/Hardware/Host Operations

QueryHostOsCategory

QueryHostOsCategory

GET/zstack/v1/hosts/os/category

Operation ID

QueryHostOsCategory

Since

4.6.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the query is successful or not.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • architecture
      StringRequired

      The host architecture, such as x86_64.

    • osReleaseVersion
      StringRequired

      The host operation system version.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • metadataList
      ListRequired

      See metadataList

      • uuid
        StringRequired

        The resource UUID.

      • categoryUuid
        StringRequired

        The UUID of the supported host category.

      • managementNodeUuid
        StringRequired

        The management node UUID.

      • hypervisor
        StringRequired

        The hypervisor name, such as qemu-kvm.

      • version
        StringRequired

        The version number, such as 4.2.0-632.g6a6222b.el7.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.